## cascading.flow
Enum SliceCounters

    java.lang.Object
      java.lang.Enum<SliceCounters>
          cascading.flow.SliceCounters

All Implemented Interfaces:
  Serializable, Comparable<SliceCounters>

    public enum SliceCounters

extends Enum<SliceCounters>

Enum Constant Summary
`Process_Begin_Time`
`Process_End_Time`
`Read_Duration`
`Tuples_Read`
`Tuples_Written`
`Write_Duration`

Method Summary
`static SliceCounters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SliceCounters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Tuples_Read

    public static final SliceCounters Tuples_Read

### Tuples_Written

    public static final SliceCounters Tuples_Written

### Process_Begin_Time

    public static final SliceCounters Process_Begin_Time

### Process_End_Time

    public static final SliceCounters Process_End_Time

### Read_Duration

    public static final SliceCounters Read_Duration

### Write_Duration

    public static final SliceCounters Write_Duration

Method Detail

### values

    public static SliceCounters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SliceCounters c : SliceCounters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SliceCounters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.